[![Docker Hub](https://img.shields.io/badge/docker-ready-blue.svg)](https://hub.docker.com/r/pengbai/docker-mkdocs/)


# RUG DOCKER ENVIRONMENT




## SSH

SSH provides a secure channel over an unsecured network in a client-server architecture, connecting an SSH client application with an SSH server.
Common applications include remote command-line login and remote command execution, but any network service can be secured with SSH.


Example Connection 
```
ssh f-number@ssh.webhosting.rug.nl
```

Example Tunnel
```
ssh -L 8080:IP:80 f-number@ssh.webhosting.rug.nl -N 1
```

WEB
This only works with Two Factor Authentication
```
https://ssh.webhosting.rug.nl
```

Two factor auth
```
Put two files inside you're homedir/.ssh folder
mobile_number and email_address

$ cat ~/.ssh/mobile_number
0612345678

$ cat ~/.ssh/email_address
email@rug.nl

```


## MYSQL
Theme flatly of [Bootswatch](http://mkdocs.github.io/mkdocs-bootswatch/) is used as website theme by default in image. You can change to your prefer theme in list of Bootswatch easily by modify the ```theme_dir:``` in mkdocs.yml, ex: ```theme_dir: mkdocs_bootswatch/amelia``` to use amelia theme. 

Run container:
```
docker run -d -p 8000:8000 pengbai/docker-mkdocs
```

Project config file (mkdocs.yml, /theme, /docs) is under path /workspace in image. Use your own documentation to generat your website: 
```
docker run -d -p 8000:8000 -v /local-workspace:/workspace pengbai/docker-mkdocs
```

## POSTGRES
Theme flatly of [Bootswatch](http://mkdocs.github.io/mkdocs-bootswatch/) is used as website theme by default in image. You can change to your prefer theme in list of Bootswatch easily by modify the ```theme_dir:``` in mkdocs.yml, ex: ```theme_dir: mkdocs_bootswatch/amelia``` to use amelia theme. 

Run container:
```
docker run -d -p 8000:8000 pengbai/docker-mkdocs
```

Project config file (mkdocs.yml, /theme, /docs) is under path /workspace in image. Use your own documentation to generat your website: 
```
docker run -d -p 8000:8000 -v /local-workspace:/workspace pengbai/docker-mkdocs
```

## PHP(5/7)
Theme flatly of [Bootswatch](http://mkdocs.github.io/mkdocs-bootswatch/) is used as website theme by default in image. You can change to your prefer theme in list of Bootswatch easily by modify the ```theme_dir:``` in mkdocs.yml, ex: ```theme_dir: mkdocs_bootswatch/amelia``` to use amelia theme. 

Run container:
```
docker run -d -p 8000:8000 pengbai/docker-mkdocs
```

Project config file (mkdocs.yml, /theme, /docs) is under path /workspace in image. Use your own documentation to generat your website: 
```
docker run -d -p 8000:8000 -v /local-workspace:/workspace pengbai/docker-mkdocs
```

## Docker
Theme flatly of [Bootswatch](http://mkdocs.github.io/mkdocs-bootswatch/) is used as website theme by default in image. You can change to your prefer theme in list of Bootswatch easily by modify the ```theme_dir:``` in mkdocs.yml, ex: ```theme_dir: mkdocs_bootswatch/amelia``` to use amelia theme. 

Run container:
```
docker run -d -p 8000:8000 pengbai/docker-mkdocs
```

Project config file (mkdocs.yml, /theme, /docs) is under path /workspace in image. Use your own documentation to generat your website: 
```
docker run -d -p 8000:8000 -v /local-workspace:/workspace pengbai/docker-mkdocs
```

